.. currentmodule:: sardana.taurus.core.tango.sardana.macro


:mod:`~sardana.taurus.core.tango.sardana.macro`
===============================================

.. automodule:: sardana.taurus.core.tango.sardana.macro

.. rubric:: Classes

.. hlist::
    :columns: 4

    * :class:`Macro`
    * :class:`MacroInfo`

Macro
-----

.. inheritance-diagram:: Macro
    :parts: 1

.. autoclass:: Macro
    :show-inheritance:
    :members:
    :undoc-members:

MacroInfo
---------

.. inheritance-diagram:: MacroInfo
    :parts: 1

.. autoclass:: MacroInfo
    :show-inheritance:
    :members:
    :undoc-members:
